import { createSvgIcon } from "@mui/material/utils";

const CloseIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <path
      d="M51.2456 45.8347C51.6162 46.1923 51.9118 46.6201 52.1151 47.0931C52.3184 47.5661 52.4255 48.0748 52.43 48.5895C52.4344 49.1043 52.3363 49.6148 52.1412 50.0912C51.9461 50.5677 51.658 51.0005 51.2937 51.3645C50.9294 51.7285 50.4962 52.0164 50.0194 52.2113C49.5425 52.4062 49.0316 52.5043 48.5164 52.4999C48.0013 52.4954 47.4921 52.3884 47.0188 52.1853C46.5454 51.9821 46.1173 51.6867 45.7593 51.3165L30.6275 36.197C30.4446 36.0166 30.1979 35.9154 29.9408 35.9154C29.6837 35.9154 29.437 36.0166 29.254 36.197L14.1222 51.3165C13.3888 52.0321 12.4043 52.4327 11.3791 52.4327C10.354 52.4327 9.36948 52.0321 8.636 51.3165C7.90862 50.5895 7.5 49.6036 7.5 48.5756C7.5 47.5476 7.90862 46.5617 8.636 45.8347L23.7678 30.7152C23.858 30.6255 23.9296 30.5189 23.9784 30.4015C24.0273 30.284 24.0524 30.1581 24.0524 30.031C24.0524 29.9038 24.0273 29.7779 23.9784 29.6605C23.9296 29.543 23.858 29.4364 23.7678 29.3467L8.636 14.2272C7.90899 13.4993 7.50117 12.5126 7.50226 11.4842C7.50336 10.4558 7.91326 9.46994 8.64182 8.74353C9.37037 8.01711 10.3579 7.60963 11.3871 7.61072C12.4163 7.61181 13.403 8.02139 14.13 8.74934L29.2618 23.8688C29.3519 23.9591 29.4589 24.0307 29.5768 24.0795C29.6946 24.1284 29.821 24.1536 29.9486 24.1536C30.0761 24.1536 30.2025 24.1284 30.3203 24.0795C30.4382 24.0307 30.5452 23.9591 30.6353 23.8688L45.7671 8.74934C46.1216 8.36506 46.5502 8.05635 47.0271 7.84179C47.5041 7.62722 48.0195 7.51123 48.5424 7.50078C49.0654 7.49032 49.585 7.58563 50.0702 7.78096C50.5553 7.97629 50.9959 8.26761 51.3655 8.63743C51.7351 9.00724 52.0261 9.4479 52.2209 9.93292C52.4157 10.4179 52.5103 10.9373 52.4991 11.4598C52.4879 11.9823 52.3711 12.4972 52.1557 12.9734C51.9403 13.4497 51.6307 13.8775 51.2456 14.2311L36.1138 29.3506C36.0236 29.4403 35.952 29.5469 35.9031 29.6643C35.8543 29.7818 35.8291 29.9077 35.8291 30.0348C35.8291 30.162 35.8543 30.2879 35.9031 30.4053C35.952 30.5228 36.0236 30.6294 36.1138 30.7191L51.2456 45.8347Z"
      fill="currentColor"
    />
  </svg>,
  "Close"
);

export default CloseIcon;
